com.hazelcast.config

## Class ServiceConfig

- java.lang.Object
- - com.hazelcast.config.ServiceConfig

-     public class ServiceConfig
      extends Object

  Configuration for a single service.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServiceConfig` | `addProperty(String propertyName, String value)`
    `boolean` | `equals(Object o)`
    `String` | `getClassName()`
    `Object` | `getConfigObject()`
    `Object` | `getImplementation()`
    `String` | `getName()`
    `Properties` | `getProperties()`
    `Object` | `getServiceImpl()` Deprecated. use `getImplementation()` instead
    `int` | `hashCode()`
    `boolean` | `isEnabled()`
    `ServiceConfig` | `setClassName(String className)`
    `ServiceConfig` | `setConfigObject(Object configObject)`
    `ServiceConfig` | `setEnabled(boolean enabled)`
    `ServiceConfig` | `setImplementation(Object serviceImpl)`
    `ServiceConfig` | `setName(String name)`
    `ServiceConfig` | `setProperties(Properties properties)`
    `ServiceConfig` | `setServiceImpl(Object serviceImpl)` Deprecated. use `setImplementation(Object)` instead
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceConfig

          public ServiceConfig()

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public ServiceConfig setEnabled(boolean enabled)

    - #### getName

          public String getName()

    - #### setName

          public ServiceConfig setName(String name)

    - #### getClassName

          public String getClassName()

    - #### setClassName

          public ServiceConfig setClassName(String className)

    - #### getImplementation

          public Object getImplementation()

      Since:
        3.7

    - #### setImplementation

          public ServiceConfig setImplementation(Object serviceImpl)

      Since:
        3.7

    - #### getServiceImpl

          @Deprecated
          public Object getServiceImpl()

      Deprecated. use `getImplementation()` instead

    - #### setServiceImpl

          @Deprecated
          public ServiceConfig setServiceImpl(Object serviceImpl)

      Deprecated. use `setImplementation(Object)` instead

    - #### getProperties

          public Properties getProperties()

    - #### setProperties

          public ServiceConfig setProperties(Properties properties)

    - #### addProperty

          public ServiceConfig addProperty(String propertyName,
                                           String value)

    - #### setConfigObject

          public ServiceConfig setConfigObject(Object configObject)

    - #### getConfigObject

          public Object getConfigObject()

    - #### equals

          public final boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2019. All rights reserved.